#!/bin/bash

NUM_TESTS=55
MAX_DELAY=100
TEST_SERIES=1

for ((i=1;i<=${NUM_TESTS};i++))
do
    number=$(printf "%03d" ${i})
    user=$(printf "user-%05d" ${TEST_SERIES}${i})

    >"${number}.out"
    while read p;
    do
        echo "User ${user} utterance: ${p}"
        echo ">> ${p}" >>"${number}.out"
        aws lex-runtime post-text --bot-name "AutoLoanBot" --bot-alias "test" --user-id "${user}" --input-text "${p}" | grep '"message"' | tee -a "${number}.out"
    done <${number}.txt

    delay=$((1 + RANDOM % MAX_DELAY))
    echo -n "Wait ${delay} seconds before next test: "

    for ((j=1;j<=${delay};j++));
    do
       echo -n $((j % 10))
       sleep 1
    done
    echo

done

